ONVIF::Media::Types::ExposureOptions(3)

NAME
ONVIF::Media::Types::ExposureOptions

DESCRIPTION
Perl data type class for the XML Schema defined complexType ExposureOptions from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Mode

•   Priority

•   MinExposureTime

•   MaxExposureTime

•   MinGain

•   MaxGain

•   MinIris

•   MaxIris

•   ExposureTime

•   Gain

•   Iris

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::ExposureOptions
   Mode => $some_value, # ExposureMode
   Priority => $some_value, # ExposurePriority
   MinExposureTime =>  { # ONVIF::Media::Types::FloatRange
     Min =>  $some_value, # float
     Max =>  $some_value, # float
   },
   MaxExposureTime =>  { # ONVIF::Media::Types::FloatRange
     Min =>  $some_value, # float
     Max =>  $some_value, # float
   },
   MinGain =>  { # ONVIF::Media::Types::FloatRange
     Min =>  $some_value, # float
     Max =>  $some_value, # float
   },
   MaxGain =>  { # ONVIF::Media::Types::FloatRange
     Min =>  $some_value, # float
     Max =>  $some_value, # float
   },
   MinIris =>  { # ONVIF::Media::Types::FloatRange
     Min =>  $some_value, # float
     Max =>  $some_value, # float
   },
   MaxIris =>  { # ONVIF::Media::Types::FloatRange
     Min =>  $some_value, # float
     Max =>  $some_value, # float
   },
   ExposureTime =>  { # ONVIF::Media::Types::FloatRange
     Min =>  $some_value, # float
     Max =>  $some_value, # float
   },
   Gain =>  { # ONVIF::Media::Types::FloatRange
     Min =>  $some_value, # float
     Max =>  $some_value, # float
   },
   Iris =>  { # ONVIF::Media::Types::FloatRange
     Min =>  $some_value, # float
     Max =>  $some_value, # float
   },
 },

AUTHOR
Generated by SOAP::WSDL